/* root color */
:root {
  --primary: #6610f2;
  --secondary: #145650;
  --border-color: #c8c8c8;
  --primary-hover: #510bc4;
  --primary-dark: #290564;
  --rgba-primary-1: rgba(102, 16, 242, 0.1);
  --rgba-primary-2: rgba(102, 16, 242, 0.2);
  --rgba-primary-3: rgba(102, 16, 242, 0.3);
  --rgba-primary-4: rgba(102, 16, 242, 0.4);
  --rgba-primary-5: rgba(102, 16, 242, 0.5);
  --rgba-primary-6: rgba(102, 16, 242, 0.6);
  --rgba-primary-7: rgba(102, 16, 242, 0.7);
  --rgba-primary-8: rgba(102, 16, 242, 0.8);
  --rgba-primary-9: rgba(102, 16, 242, 0.9);
}
/* custom css*/
#main-wrapper{
  opacity: 1 !important;
}
.footer{
  padding: 0
}
.brand-title .brand-name{
  font-size: 24px;
  line-height: 24px;
}
a.colored{
  color: var(--primary);
}
.brand-title .brand-desc{
  font-size: 12px;
  color: #aaa;
  margin-top: 6px;
}
select{
  border: 1px solid var(--border-color);
  border-radius: 15px;
  padding: 2px 0px 2px 10px;
}
table tr th{
  font-weight: bold !important;
}
.action-th{
  text-align:center; 
  width: 10%;
}
.form-control.disabled{
  background-color: #eee !important;
}
.form-control{
  border: 1px solid var(--border-color) !important;
  font-size: 18px !important;
  color: black!important;
}
input[type="text"], input[type="number"], input[type="email"], input[type="password"] {
  height: 40px !important;
}
.user-image{
  width: 40px;
  margin-right: 10px;
  border-radius: 50%;
  border: 1px solid var(--border-color);
}
.no-data{
  height: 300px;
  text-align: center;
}
.product-image{
  width: 60px;
}
.job-table tr td{
  font-weight: normal;
}
.header-left .search-area .form-control, .header-left .search-area .input-group-text{
  background: white;
  border: 1px solid var(--border-color);
}
.form-control:disabled, .form-control[readonly]{
  background-color: #eee;
}
.content-body{
  transition: none;
}
.producer-profile,.producer-bio{
  text-align: center;
}
.producer-bio {
  position: relative;
}
.producer-profile img{
  width: 150px;
  border: 3px solid #eee;
  margin-bottom: 20px;
  border-radius: 50%;
}
.producer-bio img{
  width: 180px;
  border: 3px solid #eee;
  margin-bottom: 20px;
}
.td-article-body{
  display: -webkit-box;
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  height: 65px;
}
.spec-card{
  border: 1px solid var(--border-color);
}
.spec-card .card-header{
  color: black;
  font-weight: bold;
  border-bottom: 1px solid var(--border-color);
  justify-content: flex-start;
  padding: 10px 15px;
}
.spec-card .card-header span{
  color: var(--primary);
  border: 1px solid var(--primary);
  width: 30px;
  text-align: center;
  border-radius: 50%;
  height: 30px;
  line-height: 30px;
  margin-left: 10px;
}
.content-footer{
  position: fixed;
  bottom: 0;
  right: 0;
  text-align: right;
  background: white;
  z-index: 100;
  width: calc(100% - 20.563rem);
  box-shadow: 0 0.15rem 1rem 0 rgb(58 59 69 / 15%) !important;
  padding: 10px 50px;
}
.select2-container--default .select2-selection--multiple .select2-selection__rendered{
  margin-top: 1px;
}
/* .select2-container{
  min-width: 200px;
} */
.select3{
  height: 40px;
  width: 200px;
  border-radius: 1.25rem;
  line-height: 2.5rem;
}
.copyright{
  position: absolute;
  bottom: 0;
}
.controls-below-table{
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
}
.controls-below-table .btn{
  padding: 5px 15px;
}
.btn2{
  padding: 5px 15px;
  font-weight: bold;
}
.delete-image{
  position: absolute;
  bottom: 20px;
  margin-left: 20px;
}

/* form .btn:not(.btn-sm), .content-footer :not(.btn-sm){
  height: 2.5rem;
} */
form .btn, .content-footer .btn{
  padding: 7px 40px;
}
.table-records-pages ul{
  display: flex;
}
.table-records-pages ul li{
  margin-right: 10px;
}
.table-records-pages ul li.dots{
  margin: auto 10px auto 0;
  font-size: larger;
}
.header, .nav-header{
  height: 5rem;
}
.dlabnav {
  top: 5rem;
}
[data-header-position="fixed"] .content-body{
  padding-top: 5rem;
}
.content-body .container-fluid, .content-body .container-sm, .content-body .container-md, .content-body .container-lg, .content-body .container-xl, .content-body .container-xxl{
  padding: 1.5rem;
}

.status-badge {
  line-height: 1.5;
  font-weight: bold;
  border-radius: 1.03125rem;
  padding: 0.25rem 0.625rem;
  border: 0.0625rem solid transparent;
}

.status-success {
  color: #50cd89;
  background-color: #e8fff3;
}

.status-warning {
  color: #ffc700;
  background-color: #fff8dd;
}

.status-info {
  color: #009ef7;
  background-color: #f1faff;
}

.status-danger {
  color: #f1416c;
  background-color: #fff5f8;
}

.status-cancelled{
  color: white;
  background-color: #f64772;
}

.status-reviewed {
  color:#fff;
  background-color:#50cd89
}

.header-left .search-area .form-control{
  height: 40px;
}
.header-left .btn:not(.btn-sm){
  padding: 10px 20px;
  height: 40px;
  font-size: 18px;
  border-radius: 20px;
}
.header-left .search-area span{
  padding: 0;
}
.header-left .dashboard_bar{
  font-size: 20px;
  font-weight: bold;
}
.fa, .fas{
  font-weight: 900 !important;
}
body{
  font-size: 18px;
}
.select2-container--default.select2-container--focus .select2-selection--multiple{
  border: 1px solid var(--border-color);
}
#drop_file_area, #drop_file_area_image{
  height: 100px;
  border: 2px dashed #ccc;
  line-height: 100px;
  text-align: center;
  margin-bottom: 15px;
  box-shadow: 0 0.15rem 1rem 0 rgb(58 59 69 / 15%) !important;
  cursor: pointer;
}
#product_image_area{
  display: flex;
  flex-wrap: wrap;
}
#product_image_area .item{
  width: 25%;
  padding-bottom: 10px;
  padding-right: 10px;
  position: relative;
}
#product_image_area .item img{
  width: 100%;
  border: 1px solid var(--border-color);
}
#product_image_area .item:hover .product-image-hover{
  display: block;
}
#product_image_area .item .product-image-hover{
  display: none;
  cursor: move;
  z-index: 10;
  width: calc(100% - 10px);
  background: rgba(0, 0, 0, 0.5);
  height: calc(100% - 10px);
  position: absolute;
  top: 0;
  padding-right: 10px;
  padding-bottom: 10px;
}
#product_image_area .item .remove-image{
  background: white;
  color: rgba(0, 0, 0, 0.5);
  border-radius: 5px;
  width: 28px;
  height: 28px;
  position: absolute;
  right: 3px;
  font-weight: bold;
  font-size: 18px;
  text-align: center;
  line-height: 28px;
  top: 3px;
}
.drag_over {
	color: #000;
	border-color: #000;
}
.select-box{
  height: 2.5rem;
  padding-left: 15px;
  padding-right: 15px;
}
.select-box:disabled{
  background: #eee;
  color: black;
  border: 1px solid var(--border-color);
}
.ck.ck-editor__main>.ck-editor__editable{
  min-height: 200px;
}
.colored{
  color: var(--primary);
}
.product-item{
  display: flex;
}
.product-item img{
  width: 60px;
  margin-right: 10px;
  height: fit-content;
}
.product-item .product-name{
  display: -webkit-box;
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  height: 70px;
}
.date-start-end{
  display: flex;
}
.date-start-end .item{
  width: 45%;
}
.date-start-end .seperator{
  width: 10%;
  font-size: 24px;
  margin: auto;
  text-align: center;
}
legend {
  margin-bottom: 0.5rem;
  cursor: pointer;
  font-size: 0.99rem;
  display: block;
  margin-bottom: 15px;
  margin-top: 15px;
  position: relative;
  color: var(--primary);
}
legend span {
  padding-right: 15px;
  background-color: #fff;
  display: inline-block;
  z-index: 2;
  position: relative;
  font-weight: bold;
  font-size: 18px;
}
legend:before {
  content: "";
  position: absolute;
  left: 0px;
  right: 0px;
  height: 1px;
  top: 50%;
  background-color: rgba(0, 0, 0, 0.1);
  z-index: 1;
}
.order-add .total{
  font-size: 20px;
  line-height: 14px;
  text-align: right;
}
.article-image-form{
  text-align: center;
  margin-bottom: 20px;
}
.article-image-form img{
  width: 100px;
  width: 180px;
  border: 3px solid #eee;
}
.advance-search-panel {
  justify-content: space-between;
}
.advance-search .card2{
  padding: 20px;
  border: 1px solid var(--border-color);
}
.advance-search .form-control{
  border-radius: 20px;
}
.advance-search .card-row{
  display: flex;
  width: 100%;
  margin-bottom: 10px;
}
.advance-search .card-row > .left, .advance-search .card-row > .right{
  width: calc(100% - 50px);
}
.advance-search .card-row > .left{
  margin-right: 50px;
}

.advance-search .date-row{
  display: flex;
  width: 100%;
}
.advance-search .date-row > .left, .advance-search .date-row > .right{
  width: calc(100% - 50px);
}
.advance-search .date-row > .middle{
  width: 50px;
  text-align: center;
  padding-top: 10px;
}
/* --------------------------- */
#progress{
  margin-top: 5px;
  height: 15px;
  width: 0%;
}
.font-w600{
  margin: auto 0;
}

/* ----- side_bar ----- */
.dlabnav {
  height: calc(100% - 5rem);
}
.dlabnav-scroll {
  overflow-y: scroll;
}
[data-sidebar-style="full"][data-layout="vertical"] .dlabnav .metismenu > li > a,
[data-sidebar-style="full"][data-layout="vertical"] .menu-toggle .dlabnav .metismenu > li > a ,
.dlabnav .metismenu ul a{
  padding-top: 6px;
  padding-bottom: 6px;
}
[data-sidebar-style="full"][data-layout="vertical"] .menu-toggle .dlabnav .metismenu > li{
  height: 40px;
}
.dlabnav .metismenu ul, .dlabnav .metismenu{
  padding: 0;  
}
.dlabnav .metismenu {
  margin-bottom: 100px;
}
/* スクロールの幅の設定 */
.dlabnav-scroll::-webkit-scrollbar {
  width: 2px;
  height: 2px;
}
/* スクロールの背景の設定 */
.dlabnav-scroll::-webkit-scrollbar-track {
  border-radius: 5px;
  background: rgba(110, 108, 108, 0.2);
}
/* ドラックできるスクロール部の設定 */
.dlabnav-scroll::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background: var(--secondary);
}

/* ----- ログ確認 ----- */
#index_area {
	height: 210px; /* 高さ */
	width: 80%; /* 長さ */
	position: fixed;
	padding: 1rem;
	/*border-bottom: solid 1px gray;*/
	z-index: 99999;
	background-color: #ffffff;
	border-radius: 1.25rem;
}
.search_field {
	float: right;
}
#dummy_header {
	height: 220px; /* 高さ */
	width: 100%; /* 長さ */
}
#log_area {
	display: flex;
	width: 100%;
}
.box_log_summary {
    position: relative;
    margin: 0.5rem 0;
    padding: 0.5em 1em;
    border: solid 3px #95ccff;
    border-radius: 8px;
}
.box_log_summary .box_title {
    position: absolute;
    display: inline-block;
    top: -10px;
    left: 10px;
    padding: 0 9px;
    line-height: 1;
    background: #FFF;
    color: #95ccff;
    font-weight: bold;
}
.box_log_summary div {
    margin: 0; 
    padding: 0;
    font-size: 80%;
}

/* ----- loading ----- */
#overlay{ 
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100%;
  height:100%;
  display: none;
  background: rgba(0,0,0,0.6);
}
.cv-spinner {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;  
}
.spinner {
  width: 40px;
  height: 40px;
  border: 4px #ddd solid;
  border-top: 4px #2e93e6 solid;
  border-radius: 50%;
  animation: sp-anime 0.8s infinite linear;
}
@keyframes sp-anime {
  100% { 
    transform: rotate(360deg); 
  }
}
.is-hide{
  display:none;
}
.sub-text{
  font-size: x-small;
  color: grey;
  font-weight: initial;
}
.sales-graph-table th, .sales-graph-table td{
  padding: 5px 10px;
}
table.sales-graph-table td, table.sales-graph-table th{
  text-align: center;
  vertical-align: middle;
  border-color: #ccc !important;
  font-size: 18px;
}
.sales-graph-table thead{
  --bs-table-accent-bg: #f1e7ff;
}
.hide{
  visibility: hidden;
}
.a-underline:hover{
  text-decoration: underline;
}
.breadcrumb-title{
  line-height: 40px;
  margin-right: 20px;
  color: grey;
  font-size: 16px;
}
.breadcrumb .text-remark{
  font-size: 16px;
  color: grey;
  margin-left: 15px;
  line-height: 40px;
}
.calendar th, .calendar td{
  text-align: center;
  border: 1px solid #bbb !important;
}
.kitchen-car-calendar td{
  height: 100px;
}
.holiday-calendar td{
  height: 70px;
  padding: 0;
}
.holiday-calendar td .day-label{
  width: 100%;
  height: 100%;
  margin: 0;
}
.holiday-calendar td input[type=checkbox]{
  margin-top: 25px;
}
.holiday-calendar td label{
  cursor: pointer;
}
.calendar td{
  width: 14.28%;
  position: relative;
}
.kitchen-car-calendar td{
  cursor: pointer;
}
.kitchen-car-calendar td{
  padding: 15px 10px 0 10px;
}
.calendar .day{
  position: absolute;
  top: 5px;
  right: 10px;
}
.btn-calendar{
  height: 2rem;
  line-height: 2rem;
  padding: 0 15px;
}
.calendar td.today{
  background: #fee6ea;
}
.calendar td:not(.no-hover):hover{
  background-color: #eee;
}
.calendar td.today .day{
  color: #f72b50;
  font-weight: bold;
}
.calendar .schedule{
  padding: 5px;
  border-radius: 5px;
  background: var(--primary);
  color: #fff;
}
label.radio-inline{
  cursor: pointer;
}
input[type="radio"]:checked {
  background-color: black !important;
}
input[type="checkbox"], .form-check-label{
  cursor: pointer;
}
.calendar-option .form-check-label{
  font-size: small;
}
.calendar-option .form-check-input{
  width: 16px;
  height: 16px;
}
.menu-tr td{
  padding: 5px 10px;
}
.holiday-tr td, .holiday-tr td a{
  color: red;
}
form .text-danger.scale5{
  font-size: 0.7rem !important;
}
.btn-tools{
  height: 40px !important;
  line-height: 35px !important;
  padding: 0 30px 0 30px !important;
  font-size: 18px !important;
}
.entry-add-form{
  position: fixed;
  bottom: 100px;
  width: -webkit-fill-available;
  margin-right: 5px;
}
.brand-logo img{
  width: 50px;
}
.font-moul, .card-title div, .card-title span:not(.normal-font){
  font-family: "Moul", serif !important;
}
.card-title .normal-font{
  font-size: 20px;
  font-weight: bold;
}
form:not(#duplicate_entry_form) .select2-container{
  width: 100% !important;
}
.card-footer .font-moul{
  font-size: 16px;
}
.select2-container .select2-selection--single{
  user-select: auto;
  -webkit-user-select: auto;
}
.card-title .slash{
  font-family: serif !important;
  font-weight: bold;
  font-size: 18px;
}
#entry_table th, #entry_table td{
  height: 38px;
}
#entry_table .disabled{
  background-color: #eee;
}
.jconfirm .jconfirm-box .jconfirm-buttons button.btn-default{
  background-color: #ddd;
}
.jconfirm .jconfirm-box .jconfirm-buttons button.btn-blue{
  background-color: var(--primary);
  color: white !important;
  margin-left: 10px;
}
.jconfirm .jconfirm-box .jconfirm-buttons button.btn-blue:hover{
  background-color: var(--primary-hover) !important;
}
.jconfirm .jconfirm-box div.jconfirm-title-c{
  color: var(--primary);
}
.jconfirm.jconfirm-light .jconfirm-box .jconfirm-buttons button{
  font-size: 16px;
  border-radius: 20px;
}
.jconfirm .jconfirm-holder{
  margin-bottom: 30%;
}
.btn-edit{
  font-size: 14px !important;
  color: var(--primary);
  position: absolute;
  right: 30px;
  top: 120px;
  z-index: 1;
}
.btn-edit .fa{
  font-size: 10px;
  margin-right: 2px;  
}
.dlabnav .metismenu > li > a .nav-text{
  position: absolute;
  left: 70px;
}
.card-footer .btn{
  font-size: 18px;
}
.auth-form .btn, .dlabnav .header-info2 span{
  font-size: 18px;
}
.dlabnav .header-info2 small{
  font-size: 16px;
}
.art{
  width: 110px;
}
.modal-footer button{
  font-size: 18px;
}
.table thead th{
  font-size: 18px;
  vertical-align: middle;
}
.dlabnav ul{
  padding-bottom: 50px;
}
.card-header-left{
  position: absolute;
  top: 85px;
}
.card-header-middle{
  margin-top: 60px;
}
.row-num-cell{
  --bs-table-accent-bg: white;
    color: grey;
    font-weight: normal !important;
}
.no-wrap{
  white-space: nowrap;
}
.no-wrap .dollar{
  float: left;
}
.no-wrap .amount{
  margin-left: 16px;
}
.dlabnav .metismenu ul a{
  font-size: 18px;
}
.red{
  color: red;
}
.khr-input-group-text{
  font-size: 20px;
  height: 40px;
  padding-top: 4px;
  padding-left: 15px;
}
#asset_detail *{
  font-size: 16px !important;
}
.form-select{
  height: 400px;
  padding: 0;
  border-radius: 0;
}
.form-select option{
  padding: 5px 15px;
}
.menu-select-btn a{
  line-height: 45px;
  width: 45px;
  height: 45px;
  padding: 0;
  text-align: center;
  border-radius: 50%;
  font-size: 20px;
  margin: 5px auto;
}
.menu-select-btn{
  text-align: center;
  margin: auto 0;
  display: grid;
}
.menu-select-btn .disabled{
  border: 1px solid grey;
  color: grey;
}
legend{
  font-size: 18px;
  font-weight: bold;
}
/* .dlabnav, .nav-header, .header{
  display: none;
} */